Subject: Re: automatically include '--' with signature?

From: Mike Brudenell <[email-masked]>
Date: Mon, 2 Sep 1996 09:11:57 +0100 (BST)

Weird...

I've been using the Net for quite a few years now and have to admit that I
have never before heard of the "space after the -- in a signature"
requirement before.

I wonder how many others have?

As an aside, I would dispute Sven's suggestion that this form is a
*requirement*.  It is certainly _optional_ (messages are still delivered
if the "-- " line is not present:-) and even then I would say merely a
courtesy to others.

Cheers,

Mike Brudenell                                         <[email-masked]>
------------------------------------------------------------------------
The Computing Service, University of York, Heslington, York, YO1 5DD, UK
Tel: +44-1904-433811  FAX: +44-1904-433740  http://www.york.ac.uk/~pmb1/

On 29 Aug 1996, Tim Mooney wrote:

> In article <[email-masked]>,
> Mike Brudenell <[email-masked]> wrote:
> > Of course, you could take a copy of your normal "--"-less signature into a
> > separate file and add the "--".
> 
> As Sven and others have already pointed out, that should be "-- ".  The
> space is important!
> 
> >  Pine can then be configured (in the Setup
> > Configuration screen) to use this alternative file.  (It only *defaults*
> > to a file called ".signature" in your home directory (for UNIX Pine).)
> 
> That's the method I opted for, when I noted the lack of an `enable-sigdashes'
> option in the pine setup.
> 
> It's on my list of things to look at creating a patch for, if I ever get some
> time.
> 
> Tim
> -- 
> Tim Mooney                              [email-masked]
> Information Technology Services         (701) 231-1076 (Voice)
> Room 242-J1, IACC Bldg.                 (701) 231-8541 (FAX)
> North Dakota State University, Fargo, ND 58105
>

---

From: Paul O Bartlett <[email-masked]>
Date: Mon, 2 Sep 1996 08:49:28 -0400

> have never before heard of the "space after the -- in a signature"

    I had heard of it before.  In order to be a "signature" in the
esoteric technical sense, it has to begin with two hyphens followed
by a blank, the three to be left-justified on a line by themselves. 
However, Pine will cheerfully include whatever you have in your
$HOME/.signature file, whether it meets this requirement or not.

> if the "-- " line is not present:-) and even then I would say merely a

    I suppose it may depend on what Sven means by a requirement.  I
simply consider my so-called signature to be the bottom part of my
text, conveniently and automatically added for me by Pine.  However,
some people may be using software to preprocess incoming mail.  That
preprocessing may include some kind of manipulation of the signature 
in the above technical sense.  If that is so, then "signatures" which
do not begin with '-- ' will possibly not be caught by the prepro-
cessor, rather to the frustration of the recipient.

    However, I am not aware that there is any RFC requirement that
there be a signature at all on email, and often, email generated from
Web pages have no signature in the technical sense, but they are still
delivered.

Paul                             <[email-masked]>
----------------------------------------------------------
Paul O. Bartlett, P.O. Box 857, Vienna, VA 22183-0857, USA
Finger, keyserver, or WWW for PGP 2.6.2 public key 
Home Page:  URL: http://www.access.digex.net/~pobart

---

From: "Alan J. Flavell" <[email-masked]>
Date: Mon, 2 Sep 1996 16:45:46 GMT

> by a blank, the three to be left-justified on a line by themselves. 

I had also "heard" if before, but when I challenged the informant for
chapter and verse, they merely told me they "knew" that this was the
rule.  So I was, and apparently we all still are, unaware of who makes
this rule and where it is documented. 

> Web pages have no signature in the technical sense, but they are still

Quite so.  My only real reason for following-up is in an attempt
to provoke someone into "naming their source".

best regards

"Only mediocrity can guarantee to be at its best all the time".

---

From: [email-masked] (Rob Funk)
Date: 3 Sep 1996 03:12:26 GMT

In article <[email-masked]>,
>> Web pages have no signature in the technical sense, but they are still

There is no "requirement" of the _existence_ of a signature.  However,
there is a longstanding practice, when including one, of prefacing it
with the "-- " line.

>to provoke someone into "naming their source".

Well, MY original source was various documentation surrounding trn and
elm, but I did find some acknowledgement of this practice elsewhere.
See section 4.3.2 of "Son of RFC 1036":
  ftp://ftp.zoo.toronto.edu/pub/news.txt.Z

#	[...]
#          If  a  poster or posting agent does append a signature to an
#          article, the signature SHOULD be preceded with  a  delimiter
#          line  containing  (only)  two hyphens (ASCII 45) followed by
#          one blank (ASCII  32).
#	[...]
#                                                                A
#               standard  delimiter  line  makes  it  possible for
#               reading agents to handle signatures  specially  if
#               desired.    (This  is  unfortunately  hampered  by
#               extensive misunderstanding of, and misuse of,  the
#               delimiter.)
#
#               NOTE: The choice of delimiter is somewhat unfortu-
#               nate, since it relies on preservation of  trailing
#               white  space,  but  it  is too well-established to
#               change.
#	[...]

Note that this document is specifically written for USENET news posts,
not email, but the rationale behind the "-- " delimiter is as valid
for email as for news.

-- 
=========== R o b  F u n k ===========|===========> [email-masked] <===========
  Guildenstern: "So there you are."   [email-masked]
  Rosencrantz:  "Stark raving sane."  [email-masked]
 (Tom Stoppard, Ros. & Guil. Are Dead)|http://er4www.eng.ohio-state.edu/~funkr

---

From: Mike Brudenell <[email-masked]>
Date: Tue, 3 Sep 1996 09:13:06 +0100 (BST)

> this rule and where it is documented.

In a fit of early morning madness I present for your delectation this
momentary diversionary tale from someone at my church.  Please forgive me
the normally unpardonable sin of wandering slightly but it is, perhaps, in
some sense relevant...

-----
A little girl had for some years watched her mother prepare the joint of
beef for their family's traditional Sunday dinner.  The girl had long
wondered why her mother always cut off an inch-wide slice from the end of
the joint and threw it away before putting the remainder in the oven.

One day she plucked up her courage and asked her mother why she did this.

Her mother stopped, looking non-plussed, and admitted that she really
didn't know why, but did it because _her_ mother had always done so.

So when they next visited the little girl's grandmother they asked her why
she had always cut the end inch off the Sunday joint.  She replied, "Back
when I got married we had a house with a very small kitchen, which had a
very small cooker.  We had to use a small roasting tin to fit in the oven,
and the joint of meat was always a little to big to fit onto it so I had
to trim the end of it off."
-----
Moral: Tradition is powerful and persists even when reason fades.

Cheers,

---

From: Rahul Dhesi <[email-masked]>
Date: 5 Sep 1996 18:33:31 GMT

In <[email-masked]> "Alan J.

>this rule and where it is documented. 

Look in the B-news and C-news source code.

>to provoke someone into "naming their source".

Literally. :-)
-- 
Rahul Dhesi <[email-masked]>
==
"...Mark Crispin has the good sense to not blather away in
 newsgroups..." -- Wayne Hathaway

---

From: Paul O Bartlett <[email-masked]>
Date: Tue, 3 Sep 1996 10:09:53 -0400

On 3 Sep 1996, Rob Funk wrote (excerpted):

> Well, MY original source was various documentation [...]

> #               extensive misunderstanding of, and misuse of,  the

    Indeed.  It has come to the point, in my informal observation, that
so few observe this convention (if they even know about it, which many
probably do not) that for practical purposes it has ceased to be
effective or even very meaningful.  The world does change, and
sometimes even de facto standards become obsolete and therefore
unenforceable in practice.

> #               white  space,  but  it  is too well-established to

    Indeed, again.  When I am writing running text, my preferred Un*x 
editor routinely truncates trailing blanks when writing a file, so that
even if I had "-- " in my .signature, Pine includes it automatically as
part of the editable text, and the editor would simply truncate the
blank.  The signature delimiter may be "too well-established to
change," but it collides with the reality of the tools people use.